MSGMERGE(1)

BEZEICHNUNG
msgmerge - Meldungskatalog und Vorlage zusammenführen

ÜBERSICHT
msgmerge [OPTION] def.po ref.pot

BESCHREIBUNG

Führt zwei .po-Dateien im Uniforum-Stil zusammen. Die Datei def.po ist eine vorhandene PO-Datei mit Übersetzungen, die in die neu erstellte Datei übernommen werden, sofern sie noch passen. Kommentare bleiben dabei erhalten, aber Quelltextkommentare und Dateipositionen werden verworfen. Die Datei ref.pot ist die zuletzt erstellte PO-Datei mit aktuellen Quellreferenzen, aber alten Übersetzungen, oder eine POT-Vorlagendatei (allgemein durch xgettext(1) erstellt). Jegliche Übersetzungen oder Kommentare in der Datei werden verworfen, jedoch bleiben Kommentare mit vorangestelltem Punkt sowie Dateipositionen erhalten. Wo keine exakte Übereinstimmung gefunden werden kann, wird eine ungenaue (»fuzzy«) Logik verwendet, um bessere Ergebnisse zu erzielen.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Ort der Eingabedatei:

def.po
    enthält Übersetzungen, die auf den alten Quellen basieren.

ref.pot
    enthält Referenzen zu den neuen Quellen.

-D, --directory=VERZEICHNIS
    Fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

-C, --compendium=DATEI
    gibt eine zusätzliche Bibliothek von Meldungsübersetzungen an (Mehrfachangabe ist möglich).

  Betriebsmodus:

-U, --update
    aktualisiert def.po; lässt diese unverändert, wenn sie bereits aktuell ist.

  Ort der Ausgabedatei:

-o, --output-file=DATEI
    Schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

Ort der Ausgabedatei im Aktualisierungsmodus: Das Ergebnis wird in die Datei def.po zurückgeschrieben.

--backup=WERT
    erstellt eine Sicherung der Datei def.po.

--suffix=SUFFIX
    überschreibt die übliche Endung für Sicherungskopien.

Die Versionsverwaltungsmethode kann mit der Option --backup oder über die Umgebungsvariable VERSION_CONTROL bestimmt werden. Folgende Werte werden akzeptiert:

none, off
    erstellt niemals Sicherheitskopien (selbst wenn --backup angegeben wurde).

numbered, t
    erstellt nummerierte Sicherheitskopien.

existing, nil
    erstellt nummerierte (»numbered«) Sicherheitskopien, wenn solche existieren, sonst einfache (»simple«).

simple, never
    erstellt immer einfache Sicherheitskopien.

Die Endung für Sicherungen ist »~«, außer sie wird mit --suffix oder durch die Umgebungsvariable SIMPLE_BACKUP_SUFFIX bestimmt.

  Optionen:

-m, --multi-domain
    wendet ref.po auf jede der Domains in def.po an.

--for-msgfmt
    erstellt die Ausgabe für msgfmt(1), nicht für einen Übersetzer.

-N, --no-fuzzy-matching
    verwendet keine ungenaue Vergleichslogik (»fuzzy«).

--previous
    behält die vorherigen »msgids« der übersetzten Meldungen bei.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedateien folgen der .properties-Syntax von Java.

--stringtable-input
    Eingabedateien folgen der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

--lang=KATALOGNAME
    setzt das »Language«-Feld im Kopfeintrag.

--color
    Verwendet immer Farben und andere Text-Attribute.

--color=WERT
    Verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    Gibt die CSS-Stilregeldatei für --color an.

-e, --no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

-E, --escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    Erstellt die PO-Datei auch dann, wenn sie leer ist.

-i, --indent
    Stellt die Ausgabe eingerückt dar.

--no-location
    Schreibt keine Zeilen mit »#: Dateiname:Zeilennummer«.

-n, --add-location
    Schreibt Zeilen mit »#: Dateiname:Zeilennummer« (Vorgabe).

--strict
    Schreibt die Ausgabe strikt im Uniforum-Stil.

-p, --properties-output
    Schreibt eine .properties-Datei für Java.

--stringtable-output
    Schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    Legt die Ausgabebreite auf die angegebene ANZAHL Spalten fest.

--no-wrap
    Bricht Zeilen in Meldungen, die länger als die Ausgabebreite sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    erstellt eine sortierte Ausgabe (veraltet).

-F, --sort-by-file
    Sortiert die Ausgabe gemäß Vorkommen in Dateien.

  Informative Ausgabe:

-h, --help
    Zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    Gibt Versionsinformationen aus und beendet das Programm.

-v, --verbose
    erhöht die Ausführlichkeitsstufe.

-q, --quiet, --silent
    Unterdrückt die Fortschrittsanzeige.

AUTOR
Geschrieben von Peter Miller und Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgmerge wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgmerge auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgmerge

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.